<?php

$code = '';
$code .= rand(0, 9);
$code .= rand(0, 9);
$code .= rand(0, 9);
$code .= rand(0, 9);
$fo = @fopen('regcodeimg.reg', 'w+');
@fputs($fo, $code);
@fclose($fo);
$img = @ImageCreate(50, 20);
$color1 = @ImageColorAllocate($img, 0, 0, 0);
$color2 = @ImageColorAllocate($img, 255, 255, 255);
@ImageFilledRectangle($img, 0, 0, 50, 20, $color1);
@ImageString($img, 5, 7, 2, $code, $color2);
Header("Cache-Control: no-cache");
Header("Content-type: image/png");
ImagePNG($img);
ImageDestroy($img);
?>
